> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Owned Service Accounts

> ListOwnedServiceAccounts returns the service accounts owned by the calling
 user. The owner is the authenticated caller; it is not accepted as an input.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/app_users/owned_service_accounts
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/app_users/owned_service_accounts:
    post:
      tags:
        - AppUsers
      summary: List Owned Service Accounts
      description: >-
        ListOwnedServiceAccounts returns the service accounts owned by the
        calling
         user. The owner is the authenticated caller; it is not accepted as an input.
      operationId: c1.api.app.v1.AppUserService.ListOwnedServiceAccounts
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.ListOwnedServiceAccountsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.ListOwnedServiceAccountsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ListOwnedServiceAccounts
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppUser.ListOwnedServiceAccounts(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListOwnedServiceAccountsResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v1.ListOwnedServiceAccountsRequest:
      description: The ListOwnedServiceAccountsRequest message.
      properties:
        expandMask:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppUserExpandMask'
            - type: 'null'
        pageSize:
          description: The maximum number of results to return per page.
          format: int32
          type: integer
        pageToken:
          description: The token for fetching the next page of results.
          type: string
      title: List Owned Service Accounts Request
      type: object
      x-speakeasy-name-override: ListOwnedServiceAccountsRequest
    c1.api.app.v1.ListOwnedServiceAccountsResponse:
      description: The ListOwnedServiceAccountsResponse message.
      properties:
        expanded:
          description: List of related objects.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            type: object
          type:
            - array
            - 'null'
        list:
          description: >-
            The service accounts owned by the calling user, up to one page of
            results.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppUserView'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            The token for fetching the next page of results, empty when there
            are no more pages.
          type: string
      title: List Owned Service Accounts Response
      type: object
      x-speakeasy-name-override: ListOwnedServiceAccountsResponse
    c1.api.app.v1.AppUserExpandMask:
      description: >-
        The AppUserExpandMask message contains a list of paths to expand in the
        response.
      properties:
        paths:
          description: >-
            The paths to expand in the response. May be any combination of "*",
            "identity_user_id", "app_id", and "last_usage".
          items:
            type: string
          type:
            - array
            - 'null'
      title: App User Expand Mask
      type: object
      x-speakeasy-name-override: AppUserExpandMask
    c1.api.app.v1.AppUserView:
      description: >-
        The AppUserView contains an app user as well as paths for apps, identity
        users, and last usage in expanded arrays.
      properties:
        appPath:
          description: >-
            JSONPATH expression indicating where the app is expanded in expanded
            arrays indicated in the request.
          type: string
        appUser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppUser'
            - type: 'null'
        identityUserPath:
          description: >-
            JSONPATH expression indicating where the identity user is expanded
            in expanded arrays indicated in the request.
          type: string
        lastUsagePath:
          description: >-
            JSONPATH expression indicating where the last usage information is
            expanded in expanded arrays indicated in the request.
          type: string
      title: App User View
      type: object
      x-speakeasy-name-override: AppUserView
    c1.api.app.v1.AppUser:
      description: Application User that represents an account in the application.
      properties:
        appId:
          description: The ID of the application.
          readOnly: true
          type: string
        appUserType:
          description: The appplication user type. Type can be user, system or service.
          enum:
            - APP_USER_TYPE_UNSPECIFIED
            - APP_USER_TYPE_USER
            - APP_USER_TYPE_SERVICE_ACCOUNT
            - APP_USER_TYPE_SYSTEM_ACCOUNT
          type: string
          x-speakeasy-unknown-values: allow
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The display name of the application user.
          readOnly: true
          type: string
        email:
          description: The email field of the application user.
          readOnly: true
          type: string
        emails:
          description: The emails field of the application user.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        employeeIds:
          description: The employee IDs field of the application user.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        id:
          description: A unique idenditfier of the application user.
          readOnly: true
          type: string
        identityUserId:
          description: The conductor one user ID of the account owner.
          readOnly: true
          type: string
        isExternal:
          description: The isExternal field.
          readOnly: true
          type: boolean
        profile:
          additionalProperties: true
          readOnly: true
          type:
            - object
            - 'null'
        status:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppUserStatus'
            - type: 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        username:
          description: The username field of the application user.
          readOnly: true
          type: string
        usernames:
          description: The usernames field of the application user.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
      title: App User
      type: object
      x-speakeasy-name-override: AppUser
    c1.api.app.v1.AppUserStatus:
      description: The satus of the applicaiton user.
      properties:
        details:
          description: The details of applicaiton user status.
          readOnly: true
          type: string
        status:
          description: The application user status field.
          enum:
            - STATUS_UNSPECIFIED
            - STATUS_ENABLED
            - STATUS_DISABLED
            - STATUS_DELETED
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
      title: App User Status
      type: object
      x-speakeasy-name-override: AppUserStatus
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````